CATMAN(8)

NUME
catman - creează sau actualizează paginile de manual preformatate

REZUMAT
catman [-d?V] [-M ruta] [-C fișier] [secțiune] ...

DESCRIERE
catman este utilizată pentru a crea un set actualizat de pagini de manual preformatate cunoscut ca pagini «cat». Paginile «cat» sunt în general mult mai rapid de afișat decât paginile de manual originale, dar necesită spațiu de stocare extra. Decizia de a da suport paginilor «cat», este aceea a administratorului local, care trebuie să furnizeze directoare potrivite pentru a le conține. Opțiunile disponibile pentru catman sunt ierarhiile de pagini de manual și secțiunile de preformatat. Ierarhiile implicite sunt cele specificate ca ierarhii de sistem în fișierul de configurare «man-db», iar secțiunile implicite sunt fie conținutul delimitat de două puncte ale variabilei de mediu $MANSECT , fie setul standard compilat în man dacă $MANSECT nu este definit. Furnizarea lui catman cu un set de nume de secțiuni delimitate de spații albe, va suprascrie cele două variabile de mai sus. catman utilizează memoria tampon a bazei de date index asociată fiecărei ierarhii, pentru a determina ce fișiere trebuie formatate.

OPȚIUNI

-d, --debug
    Imprimă informațiile de depanare.

-M ruta, --manpath=ruta
    Specificați o rută alternativă de căutare în ierarhia paginilor de manual, delimitată de două puncte. În mod implicit, acestea sunt toate rutele indicate ca ierarhii de sistem în fișierul de configurare «man-db».

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informații despre versiune.

MEDIU

MANSECT
    Dacă $MANSECT este stabilită, valoarea acesteia este o listă de secțiuni delimitată de două puncte și este utilizată pentru a determina care secțiuni din manual să se caute și în ce ordine. Valoarea implicită este „1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x”, dacă nu este suprascrisă de directiva SECȚIUNE din /etc/man_db.conf.

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia va fi interpretată ca fiind ruta de căutare a ierarhiei paginilor de manual delimitată prin două puncte care trebuie utilizată. Consultați secțiunea RUTA DE CĂUTARE din manpath(5) pentru comportamentul implicit și detalii despre modul în care este gestionată această variabilă de mediu.

FIȘIERE

/etc/man_db.conf
    fișier de configurare man-db.

/usr/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală tradițională.

/var/catman/index.(bt|db|dir|pag)
    O memorie tampon a bazei de date index global, compatibil sau alternativ cu FSSTND. NT: FSSTND = Sistemul de fișiere standard.

CONSULTAȚI ȘI
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db